### File

`packages/components/testing/mocks/router.mock.ts`

### Index

###### Properties
Public events Public ne Public routerState
###### Methods
createUrlTree navigate navigateByUrl serializeUrl

### Properties

Public events
Type : `unknown`
Default value : `new Observable((observer) => { observer.next(this.ne); observer.complete(); })`

Public ne
Type : `unknown`
Default value : `new NavigationEnd(0, 'http://localhost:4200/login', 'http://localhost:4200/login')`

Public routerState
Type : `literal type`
Default value : `{ root: {}, }`

### Methods

createUrlTree
`createUrlTree()`
Returns : `void`

navigate
`navigate(url: string)`
Parameters :
Name | Type | Optional
url | `string` | No
Returns : `string`

navigateByUrl
`navigateByUrl(url: string)`
Parameters :
Name | Type | Optional
url | `string` | No
Returns : `string`

serializeUrl
`serializeUrl()`
Returns : `void`

# results matching ""

# No results matching ""